<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ProjectDailyReportMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ProjectDailyReport">
        <id column="report_id" property="reportId" />
        <result column="create_time" property="createTime" />
        <result column="report_title" property="reportTitle" />
        <result column="report_date" property="reportDate" />
        <result column="employee_id" property="employeeId" />
        <result column="work_content" property="workContent" />
        <result column="work_hours" property="workHours" />
        <result column="work_progress" property="workProgress" />
        <result column="issues_encountered" property="issuesEncountered" />
        <result column="solutions" property="solutions" />
        <result column="project_id" property="projectId" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, report_id, report_title, report_date, employee_id, work_content, work_hours, work_progress, issues_encountered, solutions, project_id, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
